using System;
using System.IO;
using NUnit.Framework;

using Smdn.IO.Streams.LineOriented;
using Smdn.Net.Pop3.Protocol.Transmission;
using Smdn.Text.Encodings;

namespace Smdn.Net.Pop3.Protocol.DataStructures {
  [TestFixture]
  public class PopScanListingTests {
    private static PopResponse GetResponse(string resp)
    {
      var receiver = new PopPseudoResponseReceiver();

      receiver.SetResponse(resp);

      return receiver.ReceiveResponse();
    }

    [Test]
    public void TestEquatableLong()
    {
      var response = GetResponse("+OK 1 120\r\n") as PopStatusResponse;
      var scan = PopResponseParser.FromList(response);

      Assert.IsTrue (scan.Equals(1L));
      Assert.IsFalse(scan.Equals(0L));
    }
  }
}
